Fedora 13 : clamav-0.96.5-1300.fc13 (2010-18564)

high Nessus Plugin ID 51346

Language:

New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote Fedora host is missing a security update.

Description

- Sat Dec 4 2010 Enrico Scholz <enrico.scholz at informatik.tu-chemnitz.de> - 0.96.5-1300

- updated to 0.96.5

- CVE-2010-4260 Multiple errors within the processing of PDF files can be exploited to e.g. cause a crash.

- CVE-2010-4261 An off-by-one error within the 'icon_cb()' function can be exploited to cause a memory corruption.

- Sun Oct 31 2010 Enrico Scholz <enrico.scholz at informatik.tu-chemnitz.de> - 0.96.4-1300

- updated to 0.96.4

- execute 'make check' (#640347) but ignore errors for now because four checks are failing on f13

- Wed Sep 29 2010 Enrico Scholz <enrico.scholz at informatik.tu-chemnitz.de>

- lowered stop priority of sysv initscripts (#629435)

- Wed Sep 22 2010 Enrico Scholz <enrico.scholz at informatik.tu-chemnitz.de> - 0.96.3-1300

- updated to 0.96.3

- fixes CVE-2010-0405 in shipped bzlib.c copy

- Sun Aug 15 2010 Enrico Scholz <enrico.scholz at informatik.tu-chemnitz.de> - 0.96.2-1300

- updated to 0.96.2

- rediffed patches

- removed the -jit-disable patch which is replaced upstream by a more detailed configuration option.

- Wed Aug 11 2010 Enrico Scholz <enrico.scholz at informatik.tu-chemnitz.de>

- use 'groupmems', not 'usermod' to add a user to a group because 'usermod' does not work when user does not exist in local /etc/passwd

- Tue Jun 1 2010 Enrico Scholz <enrico.scholz at informatik.tu-chemnitz.de> - 0.96.1-1400

- updated to 0.96.1

- applied upstream patch which allows to disable JIT compiler (#573191)

- disabled JIT compiler by default

- removed explicit 'pkgconfig' requirements in -devel (#533956)

- added some BRs

- rediffed patches

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected clamav package.

See Also

https://bugzilla.redhat.com/show_bug.cgi?id=659861

http://www.nessus.org/u?47e4fc18

Plugin Details

Severity: High

ID: 51346

File Name: fedora_2010-18564.nasl

Version: 1.13

Type: local

Agent: unix

Published: 12/20/2010

Updated: 1/11/2021

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:clamav, cpe:/o:fedoraproject:fedora:13

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 12/5/2010

Reference Information

CVE: CVE-2010-4260, CVE-2010-4261, CVE-2010-4479

BID: 45152

FEDORA: 2010-18564